# Mind Control Forum

# Older news-hm.htmNews and What's New

### Contents -in descending chronological order

Most of these links do not work as things have been changed and moved.
I leave them here just so all know of what's been going on with the site.

### September 1999

Joan Siegemund's New E-address | Victim Joan Siegemund's new E-address is ralfjoans@aol.com
New MCF E-mail Snag | The E-mail at the unfolding new MCF site was clogged for a few days. This has now been remedied. The E-address is mcf@apexmail.com
Heveab Please Contact Me | Heveab, please E-mail me, Ed Light, at mcf@mk.net . I have an E-mail message for you and can't find your contact information.
New MCF Cooking | The new MCF site is nearly ready. These pages will all refer you there within a few months.

### August 1999

McMartin on TV | Friday the 20th of August the History Channel will have an hour show on the McMartin Preschool case. See Alex Constantine's articles.
New MCF Site Nearing Completion | The new MCF Site being prepared by MTC is having 60 updates added, as well as MindNet. When they are ready I will pass you readers over there from here! I'm back in junior college studying Word 97.

### July 1999

Nothing to Report

### June 1999

Psychotronics Exposed | Psy-Ops weaponry used in the Persian Gulf War -- at the http://www.raven1.net MKULTRA Never Stopped web site.

###

New MCF
is Up
! ! ! !

Although not debugged or updated, the new MCF being prepared by More Than Conquerors is taking shape. You can begin going there, and in a bit the pages here will point there. The url is:
The E-mail is mcf@apexmail.com
They have 60 updates to do, and are about to start on them.
June 13 Cable Date Correction | Word is that on the evening of Sunday, June 13th there will be a two hour special on Mind Control and the CIA on TBS -- http://tbssuperstation.com/ Turner Broadcasting System.

### May 1999

Microsoft Knows MCF! | Downloaded Microsoft Internet Explorer 5. With everything installed and activated, MSN set as default search, typed Mind Control Forum into the address bar. Got a frame with a link to the site. Put my pointer on it and up popped: "Site focuses on the conspiracy theory of mind control via implants, drugs and abuse. The stories of several self-proclaimed mind control victims are available, with medical photographs of implants."

Many thanks to the Microsoft Network editors.

#### New MCF
Ready Soon!

Update from MTC -MCF site sponsor: Carrie Dawn:

Greetings visitors of MCF.

As many of you know by now, MTC is taking over the sponsorship of the MCF web site. We were gravely delayed in finishing the new location of Ed Light's site due to server failure and file losses caused by a Trojan Horse.

We are nearly completed with the existing content on MCF and are now beginning to update with the stories and content from new or pending contacts we have received in the last 6 weeks.

Please have patience as we refine the site and make sure its fully operational. We hope to have the entire site up and running in the next two to three weeks.

Thank you,
Carrie Dawn
MTC
MCF site sponsor

MCF Hibernating Temporarily | MTC's imminent takeover of the MCF has been delayed by a virus, but stay tuned as they will post the new material that people are sending them when they have things straightened out.

### April 1999

Eleanor White's Interview | The http://www.sightings.com/" Sightings web site has the http://www.broadcast.com/shows/endoftheline/9904/end0423.ram Real Audio version of Eleanor White's 4-23-99 interview on Sightings.
Eleanor White to be on net radio 4-23-99 | Victim Eleanor White will be on the Sightings radio show, which is broadcast on the internet in Real Audio, April 23, 1999. The show runs 7-10 pm US pacific time. Check the http://www.sightings.com/ Sightings web site.

### New MCF
E-address

The E-mail address for the MCF at the new caretakers, >More Than Conquerors, has been changed to mcf@apexmail.com
Site Takeover Delayed | MTC's takeover of the MCF has been delayed by a computer virus!
Roose Site Update | Ronald Roose has changed the web address of his web site, Postal Inspectors On The Rampage: ThePostal Justice Project.

### March 1999

Hartwell"s E-mail | Barbara Hartwell lost some of her E-mail to thugs.
Bridget's E-mail | Bridgets E-mail is presently down.

### MCF/MTC
Introduction

Carrie Dawn, Co-Executive Director of More Than Conquerors, sends this announcement detailing MTC's work in preserving and furthering the MCF. All people with stories or articles on the MCF should read this.

### New MCF
E-mail

More Than Conquerors is preparing the new MCF site, which will be based on these pages with little change. They have established the new MCF E-mail address: MCForum@usa.net

This is the place to contact MCF now, and to send contributions to the site, including articles, victim stories, and event announcements.

### February 1999

### MCF by MTC!

I'm gratefully passing MCF on to the the crew at More Than Conquerors. When they have it set up on their server the pages here at the old site will point there.

MTC will be able to carry on with adding your future contributions to the site.

ACHES-MC Contact Changes | See the ACHES-MC page for changes in contact information.
Human Experiments Web Site | Resources on Human Experimentation, a web site by Prof. Steven Hale of Georgia University.
Rally To End Secrecy | The Rally To End Secrecy is on October 24, 1999, at noon, on the steps of the Capitol Building, Washington DC.
October 1999 Trauma Conference | Empty Memories is planning a emptycnf.htm">symposium on Psychic Trauma and Dissociation for October 28, 1999 in Utrecht, and in English. Many international speakers will attend.
New Victim: Ian Clark | Bringing the MCF Victims' Stories count to 83, plus more lost in 250 E-mails [report in!] , Ian Clark tells of psychotronic horrors in Australia.
Free PCs | http://www.free-pc.com/ Free-PC.com offers a free PC in exchange for viewing ads and making your browsing habits available. A bit intrusive.
Hartwell: Help with activism | Near the end of Barbara Hartwell's personal story she details plans for a web site and other activism against mind control and asks for volunteers.
Hartwell Story Addition | A crucial part in the beginning of Barbara Hartwell's personal story was missing and has now been added. [Sabotage?]
MCF Archive Updated | The mcfweb.zip and mcfweb.exe files you can download to create the web site on your hard disk have been updated Feb. 4 1999.
New phone for Sheila Epstein | Sheila Epstein's new phone is 561-963-4818. She'd like signatures for her campaign> to get our story in the http://www.washingtonpost.com/ Washington Post.
New Victim Barbara Hartwell | Barbara Hartwell survived the CIA's MKULTRA and Phoenix programs. She was formerly a mind controlled operative and professional CIA asset. Missing part added 2-5-99.
Missed your story / article? | If I've missed posting your story or article mcf@mk.net let me know . I'm having a bit of trouble with my 250 E-mails. This is getting big!
MindNet Moved | The new link for the MindNet document archive is http://www.humboldt1.com/~ejl/mn/
Alan Arkin in the Washington Post | Feb. 1, 1999 -- Alan Arkin's article When Seeing and Hearing Isn't Believing appeared at the Washington Post http://www.washingtonpost.com/ web site . It's about voice morphing and giant holograms for the military.
New Victim Deanna Kline | Note - E-mail address fixed. Deanna Kline is the 81st mind control victim to grace the MCF Victims' Page . She suffers from psychotronic implants.

### January 1999

Ronald Roose' Sites Updated | Victim Ronald Roose has changed the address of his web site http://www.angelfire.com/mi/justice/ The Postal Justice Project and added a new one, http://members.tripod.com/~justice_4_2/journal.html Journal of Harassment.
MindNet Search | The MindNet Search works now. It doesn't do Boolean queries. It's on the http://www.jps.net/mc/mn/mnindex.htm" MindNet Index page. Be sure to read the "Important Introductory Information" first.
UNESCO site on Internet Paedophilia | Sexual Abuse of Children, Child Pornography and http://www.unesco.org/webworld/child_screen/conf_index.html Paedophilia on the Internet: An international challenge - Expert Meeting, UNESCO, Paris, 18-19 January
MCF Backlog | I may be able to get through my backlog, but -- if I've missed posting your article or story please notify me. It's probably in a mailbox with 250 other messages.
Web Reader for the Blind | The BBC has developed a web reader for the blind named http://www.bbc.co.uk/education/betsie/ Betsie. It's special in its ability to make sense out of complex pages.
Washington Post | Sheila K. Epstein is starting a movement for victims to get in the http://www.washingtonpost.com/ Washington Post.
New MC Book by Jim Keith | Author Jim Keith has a new book out, Mind Control, World Control. He has appeared on the Art Bell Show, HBO, NBC, MSNBC, BBC, and other international forums.
Jones x-ray Enhanced | Victim Janine Jones adds to her image page a digitally enhanced closeup view of a reflecting metal electrode of her brain implants.
Casey Brennan Support Committee | The web site http://www.geocities.com/SunsetStrip/Basement/7093/fpfcc.html Fair Play for Casey Committee has been added to author/victim T. Casey Brennan's MCF section.
Fleming Arrested Site Busted | James Thomas Fleming, author of the NIS Expose, has been arrested by the DSS, according to E-mail. Please see his Archives section . His site appears to have been requisitioned by the DIA.
Jolyon West Perpetrator Dies | The infamous Dr. Jolyon West has died. To find information on him use the srchtips.htm">MCF Search and type in "Jolyon West". Also try the new search at the MindNet Archive, from the Resources MindNet section.
NLPA Controversy | Victim Vicki sends this message which is an alert to problems she relates about the NLPA legal firm.
MindNet Search | The MCF Search doesn't cover MindNet. However, I've installed the same kind of search on the MindNet page. It will start working in mid-January.
Search Tips | How to power search using the MCF search form (below) or any search engine. Use Boolean queries to eliminate unrelated results. Know the MCF search limitations.
MCF Stats | Ongoing statistics for the MCF Home Page can be had from a button near the its top. Fascinating! You can use the free service for your own page.
Search MCF | Search MCF! Includes Search Tips for power searching.
Free MC Bumper Stickers | Kathy Heckman has a pile of anti-mind control bumper stickers! Her new E-address is echoes4444@hotmail.com - note the extra "4".
Kathy Heckman New E-address | Kathy Heckman's E-address is now echoes4444@hotmail.com -- one more "4" than the old one.
CKLN 27 | Don Gillmor, author of a book about Dr. Ewen Cameron's experiments in Montreal, discusses government and military mind control.
Richard O'Neal Victim Update | Psychotronics and Poisoning Victim Richard O'Neal has added an update at the end of his story.
Thomas Fleming NIS expose | Former project coordinator in NIS mind control experiments Thomas Fleming wants everyone to spread his archv-hm.htm#Fleming">report and check his resrc-hm.htm#TKREALM">web site for updates.
radio/ckln-hm.htm">CKLN 26 | radio/ckln26.htm">Ritual Abuse Panel -- psychotherapist Gail Fisher-Taylor and Caryn Stardancer, advocate for survivors and publisher of "resrc-hm.htm#SurvivorShip">Survivorship".

1999
To End Secrecy. | endrally.htm">Rally To End Secrecy. October 24 1999, at noon, on the steps of the Capitol Building, Washington DC.
Empty Memories | Empty Memories is planning a emptycnf.htm">symposium on Psychic Trauma and Dissociation for October 28, 1999 in Utrecht, and in English.
Eleanor White's Interview | The http://www.sightings.com/">Sightings web site has the http://www.broadcast.com/shows/endoftheline/9904/end0423.ram">Real Audio version of victm-hm.htm#Raven1">Eleanor White's 4-23-99 interview on Sightings.
Eleanor White to be on net radio 4-23-99 | Victim victm-hm.htm#Raven1">Eleanor White will be on the Sightings radio show, which is broadcast on the internet in Real Audio, April 23, 1999. The show runs 7-10 pm US pacific time. Check the http://www.sightings.com/">Sightings web site.
New MCF E-address | The E-mail address for the MCF at the new caretakers, mtcmsg.htm">More Than Conquerors, has been changed to mcf@apexmail.com
Hartwell's E-mail | Barbara Hartwell lost some of her E-mail to thugs.
MCF/MTC Introduction | Carrie Dawn, Co-Executive Director of More Than Conquerors, sends this announcement detailing MTC's work in preserving and furthering the MCF. All people with stories or articles on the MCF should read this.
New MCF E-mail | mcf@apexmail.com ] This is the place to contact MCF now, and to send contributions to the site, including articles, victim stories, and event announcements.
MCF by MTC! | I'm gratefully passing MCF on to the the crew at More Than Conquerors. When they have it set up on their server the pages here at the old site will point there. MTC will be able to carry on with adding your future contributions to the site.
ACHES-MC Contact Changes | See the ACHES-MC page for changes in contact information.
Rally To End Secrecy | The Rally To End Secrecy is on October 24, 1999, at noon, on the steps of the Capitol Building, Washington DC.
October 1999 Trauma Conference | Empty Memories is planning a symposium on Psychic Trauma and Dissociation for October 28, 1999 in Utrecht, and in English. Many international speakers will attend.
Hartwell: Help with activism | Near the end of Barbara Hartwell's personal story she details plans for a web site and other activism against mind control and asks for volunteers.
New phone for Sheila Epstein | Sheila Epstein's new phone is 561-963-4818. She'd like signatures for her campaign to get our story in the http://www.washingtonpost.com/ Washington Post.
MindNet Moved | The new link for the MindNet document archive is http://www.humboldt1.com/~ejl/mn/
UNESCO site on Internet Paedophilia | Sexual Abuse of Children, Child Pornography and http://www.unesco.org/webworld/child_screen/conf_index.html">Paedophilia on the Internet: An international challenge - Expert Meeting, UNESCO, Paris, 18-19 January
Web Reader for the Blind | The BBC has developed a web reader for the blind named http://www.bbc.co.uk/education/betsie/ Betsie. It's special in its ability to make sense out of complex pages.
Washington Post | Sheila K. Epstein is starting a movement for victims to get in the http://www.washingtonpost.com/">Washington Post.
NLPA Controversy | Victim Vicki sends this nlpaprob.htm">message which is an alert to problems she relates about the resrc-hm.htm#NLPA">NLPA legal firm.
From Roy Bercaw to victims in Massachusetts | I'm seeking persons who were, are, or know others who were harmed by human experiments in Massachusetts. They need not live here now. If they believe that they were not fully informed of the risks of the experiments (also called studies, research projects, tests) even if they volunteered. They are needed to support my petition for state laws to curb abuses in Massachusetts.

I can see this spreading to the other 46 states after I succeed in Massachusetts. I will have to travel and set up satellite groups in every state.

CNN Video | 11-98. See Cheryl Welsh (and myself) in CNN's "American Edge" Mind Control resrc-hm.htm#CNNVideo">segment! It's live net video. Plugin instructions included.
Wilson MC Site Addition | 10-98 -- The latest news from resrc-hm.htm#OpenMind">Katharina Wilson of her http://www.alienjigsaw.com">The Alien Jigsaw military abduction/UFO site is of another new section, http://www.alienjigsaw.com/betw_toc.html">Between Two Lies. Katharina especially recommends the http://www.alienjigsaw.com/journals.html">Journals there.

### December 1998

MCF Statistics | stats.htm">Statistics for December 1998 -- See which 66 countries read MCF! See how many times each page was read.
Vera's E-mail | victm-hm.htm#Vera">Victim "Vera" now has her own E-mail at teamarie11@hotmail.com">teamarie11@hotmail.com
MCF Stalled | Sorry, folks, I seem to be in shock. The MCF will be stalled for awhile.
Mojmir Babacek's new E-mail | Czechoslovakian activist, archv-hm.htm#Babacek">author, and psychotronics victim victm-hm.htm#Babacek">Mojmir Babacek now has an E-mail address: mbabacek@telecom.cz">mbabacek@telecom.cz
Microwave Hazards Site | Wolfgang Scherer's resrc-hm.htm#MicrowaveHazards">microwave section of his web site covers biological hazards of radiofrequenzy radiation, including transmitter towers.
New Victim: Richard Roose | This disabled postal employee was, for whistleblowing, destroyed by postal inspectors using harassment, chemicals, and electromagnetic weapons. victm-hm.htm#Roose">His story is taken from his web site, http://members.theglobe.com/ronaldroose/" TARGET="_top">The Postal Justice Project
MCF Archive Updated | The mcfweb.zip and mcfweb.exe files you can index.htm#Download">download to create the web site on your hard disk have been updated 12-18-98.
Any Browser | The Best Viewed With Any Browser http://www.anybrowser.org/campaign/" TARGET="_top">Campaign has changed their web address again.
radio/ckln-hm.htm" TARGET="_top">CKLN 25 | radio/ckln25.htm">Interview with Dr. Connie Kristiansen, a professor of psychology specializing in recovered memory research and sexual abuse issues.
radio/ckln-hm.htm" TARGET="_top">CKLN 24 | radio/ckln24.htm">Interview with Gail Fisher Taylor, a psychotherapist working with survivors of trauma.
MCF E-mailing and Article Guidelines | I'm exhausted as an editor. You can help! Only send articles, clearly marked as such, and include a short summary-introduction I can use so I don't have to read the whole thing. Please don't send stuff for me to read. For help, see index.htm#Help">Getting Help.
Implant Technology | The University of Michigan Center for Neural Communication Technology resrc-hm.htm#NeuralCom">web site is all about implants!
Anti-Implant Web Site | resrc-hm.htm#Against">Against Electronic Mind Control is a Finnish web site devoted to exposing and eradicating the covert implantation of brain control "neuroradios" in human beings.
MCF UK Update | David Mitchell of uk/" TARGET="_top">Mind Control Forum UK (not part of MCF) has posted an uk/david2.htm" TARGET="_top">update on the situation there.
MCF Stats | The stats.htm">MCF Stats have been updated to cover November.
New Victim: Richard O'Neal | Here's Richard O'Neal's personal story, the newest on the Victims' page. He's a victim of psychotronics, drugging, psychiatric persecution, and stalkers.
NSA Listens In | http://www.freecongress.org/ctp/echelon.html" TARGET="_top">ECHELON: America's Secret Global Surveillance Network. A report at the conservative Free Congress Research and Education Foundation. [Added to the MCF resrc-hm.htm">Resources page.]
MCF December Wish | Coming soon to an MCF near you: Rads-Off the bionic reindeer with his narrow-beaming anti-satellite EMF pulsing red nose. Will lease to psychotronics victims. Or make a wish to Santa, Elijah, Mohammad, Krishna, Buddha, or whomever.

### November 1998

MCF Inner Sanctum | See deep into the MCF facility with the new secret photo at the bottom of the mcf-hq.htm">MCF Headquarters page.
Surveillance article | http://www.wired.com/news/" TARGET="_top">Wired News presently has an http://www.wired.com/news/news/culture/story/16507.html" TARGET="_top">article on satellite surveillance systems that's of interest.
Canadian TV March 1999 | The mind control documentary Mysteries Explained will air March 21st on The Canadian Space Channel.
TBS shows 11-22, 24 | Check cable listings Sunday evening 11-22 and early morning Tuesday 11-24 for CIA and Mind Control documentaries on TBS.
New Victim: Cary Adcox | victm-hm.htm#Adcox">Cary Adcox is a technician who is the target of the psychotronic mind controllers. He probably has brain implants. His story will elaborate.
MCF Requests | I was unable to work on the web site for awhile, and I have alot of back requests to post things to sort through. If you have a victim's story or event announcement hidden in there please mcf@mk.net">alert me. Ah! Now I'll stop worrying.
Janine Jones' implants verified again | jnsimage.htm">16th November 1998. Metal Electrodes verified by Graeme Marlow Macdonald, MB BS, Neurosurgeon, Auckland Hospital, New Zealand, as being embedded deep within the ear sockets under the temporal plates.
MCF Archive updated | The mcfweb.zip and mcfweb.exe files you can index.htm#Download">download to create the web site on your hard disk have been updated 11-20-98.
From Roy Bercaw to victims in Massachusetts | I'm seeking persons who were, are, or know others who were harmed by human experiments in Massachusetts. They need not live here now. If they believe that they were not fully informed of the risks of the experiments (also called studies, research projects, tests) even if they volunteered. They are needed to support my petition for state laws to curb abuses in Massachusetts.

I can see this spreading to the other 46 states after I succeed in Massachusetts. I will have to travel and set up satellite groups in every state.

Quinn revision | 11-18-98. archv-hm.htm#Quinn">John Quinn has revised chapters 20, 21, 52, and 53 of his quin1198.htm">Montauk update.
Fernandez' E-address | Victim victm-hm.htm#Fernandez">Maurice Fernandez has a new E-mail address, mcjf1@home.com">mcjf1@home.com
CNN Video | See Cheryl Welsh (and myself) in CNN's "American Edge" Mind Control resrc-hm.htm#CNNVideo">segment! It's live net video. Plugin instructions included.
Victim: Dee | victm-hm.htm#Dee">Dee's story is one of those total immersion harassment scenarios that makes you think you've had it easy! Psychotronics, break-ins, chemicals, even sabotage of the home power grid!
Quinn Article | archv-hm.htm#Quinn">John Quinn continues his montauk.htm">Montauk article with a quin1198.htm">major update, including locations of researchers, victim stories, etc. Chapters 20, 21, 52, 53 revised 11-18-98.
MCF article situation | 11-7-98. I'm back at work! Somehow the pall has eased up. But I have over 200 back messages, and it will take months to catch up, so if you have an important article in there that needs publication now, please send it again with instructions to publish. Thanks!
Any Browser | The Best Viewed With Any Browser http://www.anybrowser.org/campaign/" TARGET="_top">Campaign has a new web address.
Sounds recorded | Polish victim victm-hm.htm#Zielinski">Alexsander Zielinski's http://www.upnaway.com/~zielinsk/intro.html" TARGET="_top">Polish Mind Control Site has sound http://www.upnaway.com/~zielinsk/sounds.html" TARGET="_top">files of noises he is sent via directed energy. He would like to link to others.
11-5-98 cable tv | From victm-hm.htm#Raven1">Eleanor White: HGTV's "21st Century Home" will demo HyperSonic Sound, which projects voices or music, 11-5-98

### October 1998

MindNet Address | MCF's archival copy of MindNet has moved to If you find it has moved in the future just check in the resrc-hm.htm">Resources under resrc-hm.htm#Vericomm">MindNet Document Archive for the location.
Jones Radiation Pix | Victim Janine Jones has added jnsimage.htm#Radiation">a photo of radiation which lit up her window at night to her jnsimage.htm">images page, along with a description of the circumstances.
Wilson MC Site Addition | The latest news from resrc-hm.htm#OpenMind">Katharina Wilson of her http://www.alienjigsaw.com" TARGET="_top">The Alien Jigsaw military abduction/UFO site is of another new section, http://www.alienjigsaw.com/betw_toc.html" TARGET="_top">Between Two Lies. Katharina especially recommends the http://www.alienjigsaw.com/journals.html" TARGET="_top">Journals there.
Tables in the MCF | I have begun using tables in the MCF, since all modern browsers support them. This list is now a table.
MCF Statistics | stats.htm">Statistics for October 1998 -- Who reads MCF? People in 60 countries! Which countries are really into it? How many people read your story in October?

- Resources: New http://www.alienjigsaw.com/jintro.html journal entries on military involvement in abductions, from Project Open Mind
- Archives: DOD letter Pat Mougey
- Correction -Sheila Epstein's phone is 561-963-4124
- CKLN-FM Series: Presentation by Professor Alan Scheflin Risk Management in Dissociative Disorder and Trauma Therapy
- Sorry, I'm behind on answering E-mail
- CKLN-FM Series: radio/ckln18.htm">Interview with victim-activist victm-hm.htm#Chavoustie">Blanche Chavoustie
- Archives: Prof. John C. Syer's syer.htm">letterin support of victm-hm.htm#Welsh">Cheryl Welsh
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 6-1-98 -MCF on your hard disk
- Resources: Web link for resrc-hm.htm#The%20People">The People online newspaper corrected
- Archives: victm-hm.htm#Welsh">Cheryl Welsh's new welsbook.htm">book is online -- see archv-hm.htm#Welsh">her archive
- Archives: archv-hm.htm#Raven1">Eleanor White's victims' uspaltr.htm">guide to the USPA uspacnf.htm">Conference United States Psychotronic Association uspacnf.htm">Conference: July 17-19 1998
- Archives: Jack Petersen: archv-hm.htm#Petersen">Operational Cloaking Devices
- Victims: American psychotronics victim victm-hm.htm#Cohen">Mark Cohen
- Resources: Victim - whistle blower resrc-hm.htm#GrafSite">James Henry Graf's Home Page
- Victims: Psychotronics victim - whistle blower victm-hm.htm#Graf">James Henry Graf
- Victims: Professional victm-hm.htm#JABR">Judith ABR updates her comprehensive story (5-98)
- Archives: archv-hm.htm#Quinn">John Quinn: The quin-ltr.htm">saga of the HAARP fax from the US Navy
- Resources: http://www.thewinds.org/arc_features/medical/medical_experiments01-98.html">Government Guinea Pigs - militaryand civilian
- Resources: Practical Products' resrc-hm.htm#EMF">Safety From EMF site
- Anyone have advice on implant removal?
- Victims: #64, American Ritual Abuse victim victm-hm.htm#Flowers">S. Flowers
- Archives: victm-hm.htm#Welsh">Cheryl Welsh article archv-hm.htm#Welsh">series addition, wel598-2.htm">International MC Documents
- The MCF hot-srch.htm">Site Search is not working right - maybe HotBot will fix it.
- Victims: American psychotronics victim victm-hm.htm#Webber">Ken D. Webber's story and analysis
- Victims: Supporting leepics.htm">photos from victim - MC bookseller victm-hm.htm#Lee">David Lee
- Victims: victm-hm.htm#Brennan">T. Casey Brennan support victm-hm.htm#Bren598">web site in Hong Kong
- Archives: victm-hm.htm#Welsh">Cheryl Welsh article archv-hm.htm#Welsh">series addition, welsh598.htm">Nonlethal Weapons - A Global Issue
- Archives/Resources: archv-hm.htm#Girard">Harlan Girard's harlsuit.htm">lawsuit against the US Government
- Resources: http://jya.com/stoa-atpc.htm">Technologies of Political Control -From the European Parliament
- Resources: resrc-hm.htm#Campos">Dr. Pedro Albizu-Campos - Puerto Rican remote radiation victim
- Letting you know that I'm behind on processing E-mail requests due to debilitating sessions with the light.htm#XRAY">skull-melting beams.
- Check out the mcf-hq.htm">Mind Control Forum Headquarters!
- Archives: archv-hm.htm#NUFIND">NUFIND bug fixed
- Archives: haarp.htm">HAARP's Covert Agendas - The Big Picture by archv-hm.htm#Quinn">John A. Quinn
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 4-29-98 -MCF on your hard disk
- MCF stats.htm">User Statistics updated for April 1-28 1998.
- Archives: archv-hm.htm#Scherer">Wolfgang W. Scherer - Implants and Microwave Concerns
- Victims: Taiwanese psychotronics/harassment victim victm-hm.htm#Li">George Li
- Victims: victm-hm.htm#Brennan">T. Casey Brennan addsconjnecr.htm">Conjurella Messiah: Necronomicon Monks to his stories. [Adult Content]
- Resources: resrc-hm.htm#EWar">Electronic Warfare Links from James William Elger
- Victims:New phone for Sheila Epstein: 516-963-4124
- Resources: resrc-hm.htm#MoreThanConq">More Than Conquerors victms' forum is now online-only
- Resources: Non-Lethal Defense III resrc-hm.htm#NLD3">conference transcripts
- Victims:Sheila Epstein seeks psychotronics victims for symptom comparisons
- Archives/Resources: archv-hm.htm#NosMan">Proyecto NosMan - Mind control research en Español (Spanish)
- current.htm">Conferences: May 2 1998 psychdem.htm">Demonstration Against Forced Psychiatry, Washington DC
- Archives: parisnat.htm">French National Bioethics Committee Warning
- Victims: victm-hm.htm#Wittebrood">A. M. Wittebrood updates his story with corrections
- Victims: victm-hm.htm#Brennan">T. Casey Brennan addsconjddt.htm">Conjurella DDT to his stories
- Archives: Supportive rabinltr.htm">letter -US Congressman Gary L. Ackerman to victm-hm.htm#Rabin">Norman Rabin
- Victims: Finnish victim victm-hm.htm#Koski">Martti Koski's story reformatted
- Resources: W. Samadhi's resrc-hm.htm#Samadhi">Anti-Psychotronics Web Sites
- Victims: Dutch psychotronics victim victm-hm.htm#Wittebrood">A. M. Wittebrood updates his story
- Resources: Mind Control booklist.htm">Book List
- Victims:Tracey victm-hm.htm#Mitchell">Mitchell's Ultrasound uk/scan.htm">Scan, showing a uterine implant.
- Resources: heroes/">Unknown Heroes - Noncooperation in the Military (by MCF editor)
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 4-3-98 -MCF on your hard disk
- hot-srch.htm">Search the MCF courtesy of http://www.hotbot.com/">HotBot
- MCF stats.htm">User Statistics updated for March 1-27 1998.
- Resources: New book - resrc-hm.htm#MCUS">Mind Control Within the United States by Kai Bashir
- Victims:aches-mc.htm">ACHES-MC activist victm-hm.htm#Chavoustie">Blanche Chavoustie's chavpics.htm">photos& xrays
- Resources: http://www.freedommag.org/english/la/issue02/page12.htm">Jolyon West - UCLA Mind Control Psychiatrist (Scientology site)
- Archives: archv-hm.htm#NUFIND">NUFIND file searcher now makes a web page with links
- National Bioethics Advisory Commission biomeet.htm">Meetings -attend & educate
- Archives: nucamern.htm">James Cameron and MK-ULTRA -Titanic, Masons, etc.
- Resources: S. Perez' perezlnk.htm">Ritual Abuse Links
- current.htm">Conferences: NIH and FDA human research subjects cnf-98.htm">workshops 4, 7, 8-98
- Claudia Mullen hospital mulnshot.htm">update 3-18-98
- ckln07.htm">Claudia Mullen has been mulnshot.htm">in the hospital with a gunshot wound. mulnshot.htm">Updated 3-18-98
- Resources: resrc-hm.htm#ICCRT">ICCRT now has its own http://www.flash.net/~riders99/main.html">web site
- Resources: resrc-hm.htm#ICCRT">ICCRT: iccrt.htm#Conference">conference cancelled until 1999
- Navy zapping whales! See the http://www.oceanmammalinst.com/">Ocean Mammal Institute. From http://members.aol.com/BDelphin/notice1.htm">Bob Dratch
- Resources: resrc-hm.htm#CDI">Center for Defense Information -beyond media propoganda
- Archives/Resources: va-law51.htm">Human Research Law - Virginia USA
- Archives/Resources: New York USA ny-art24.htm">Human Subjects Protection Article 24-A
- Resources: http://www.law.cornell.edu/statutes.html" add _ date="889932534" last visit="889932525" modified="889932525">Constitutions, Statutes, and Codes - US Federal & State
- California USA ca-act.htm">Human Subjects Protection Act- improved version
- Archives/Resources: California USA ca-act.htm">Human Subjects Protection Act
- Archives: D. C. Hammond Ph.D. - "greenbaum.htm">The Greenbaum Speech" - Ritual Abuse
- Seeking mcf@mk.net">comments on proposed heroes/">Unknown Heroes - Noncooperation in the Military
- The victm-hm.htm#Mitchell">Mitchells' E-mail: DMitch4814@aol.com">DMitch4814@aol.com [Don't use the old addresses]
- Activist girard1.htm">Harlan Girard will be on the Tom Valentine radio show Sun March 15 1998
- Victims/Archives:MK-ULTRA victim - author T. Casey Brennan & hisworks
- Resources: resrc-hm.htm#MCF-UK">Mind Control Forum UK is back [not part of MCF]
- Victims:victm-hm.htm#Mitchell">The Mitchells - UKpsychotronics victims - are back
- Resources: resrc-hm.htm#MoreThanConq">More Than Conquerors' http://morethanconquerors.simplenet.com/">web site address corrected
- Victims: victm-hm.htm#JABR">Judith ABR adds two of her published articles to jabr.htm">her story [3-2-98]
- Archives/Resources: resrc-hm.htm#Dorman">Dr. Thomas A. Dorman, M.D. on medical fraud and mind control
- victm-hm.htm#Welsh">Cheryl Welsh will be on cable tv in April 98 -check the CAHRAhttp://www.calweb.com/~welsh">Web Site for info.
- Resources: resrc-hm.htm#SurvivorShip">SurvivorShip forum for ritual abuse, torture, and mind control
- MCF stats.htm">Statistics updated 2-28-98
- Archives/Resources: pasteur.htm">Pasteur - Thoughts from a UK medical professional
- Resources: Implant victim victm-hm.htm#Starfire">Leia Jessira Starfire's starshld.htm">RF shielding cape plans
- Victims: American chemical, EMF, and implant victim victm-hm.htm#JABR">Judith ABR
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 2-21-98 -MCF on your hard disk
- CKLN-FM Series: Complete! The radio/ckln17.htm">Sullivan story- radio/ckln17.htm#More2">last part is in
- Victims: victm-hm.htm#Starfire">Leia Jessira Starfire -Ritual abuse programming and implants victim's story and advice on handling a government invasion of privacy
- Resources: The http://physlab.web2010.com/bio/bw.htm">Biowar pages of Gary Novak
- CKLN-FM Series: The radio/ckln17.htm">Sullivan story- radio/ckln17.htm#More1">next part is in
- Victims: Dutch psychotronics victim victm-hm.htm#Wittebrood">A. M. Wittebrood
- Archives: 6-18-97 archv-hm.htm#CNN97">CNN interviews -Cheryl Welsh &Dr. Steven Aftergood
- Victims: 2-98 update to victm-hm.htm#Sherman">William Sherman's personal sherman.htm">story
- Victims: A declation of faith from Psychotonics victim victm-hm.htm#Bridget">Bridget
- Did I forget to publish your article (due to brain damage)? Please mcf@mk.net">remind me!
- stats.htm">MCF statistics for 1-1 to 1-27 1998
- Resources: Check resrc-hm.htm#Porter">Tom Porter's intro. for new site and E-mail addresses
- Resources/Archives: US Senator Glenn'ss193ntro.htm">introduction to s193.htm">S.193
- Victims: victm-hm.htm#Fernandez">Maurice Fernandez' victim's http://www.wildcard.com/mcf.html">web site has a new address
- Victims: victm-hm.htm#Siegemund">Joan Siegemund's mysterious sig-arm.htm">arm injury
- Resources: Alpha Team resrc-hm.htm#Alpha">web site link
- Archives: Transcript - cbc1.htm">CBC TV show on Dr. Ewen Cameron's CIA experiments
- Resources: resrc-hm.htm#Tools4">Tools For Exploration -e-field meters, protectors, and harmonizers
- In the current http://www.knowledge.co.uk/xxx/lobster/">Lobster Magazine#34 - military mind control technology
- http://www.mad-cow.org/~tom/Constitution.html">Oprah, BSE, and the Constitution
- Resources: Victim Steve's resrc-hm.htm#SteveWeb">web site picks
- s193.htm">S193 - s193ltrs.htm">Letters needed to the Subcommittee on Public Health & Safety
- radio/ckln-hm.htm">CKLN-FM Series: The radio/ckln06.htm">Alan Scheflin interview was incomplete. Part 1 is here.
- Victims: victm-hm.htm#LynneMS">Lynne Moss-Sharman wishes to contact other Jose Delgado victims
- Victims: victm-hm.htm#Lonewolf">Lonewolf would like to correspond with other Australian victims
- Victims: Psychotronics targetvictm-hm.htm#SteveNY"> Steve seeks correspondents in New York, Connecticut, or New Jersey
- Victims: The victm-hm.htm#Light">editor has authored a song: light.htm#BaseSong">The Mind Control Base
- Archives: archv-hm.htm#Alan">Alan Yu's Story is now a yu.htm">web page
- rvn-cbc.htm">CBC TV Mind Control Shows: January 6, 11, and 12, 1998
- Victims: zielinsk.htm">Aleksander Zielinski's photo is here
- radio/ckln-hm.htm">CKLN-FM Series: radio/ckln16.htm">Lynne Moss-Sharman of aches-mc.htm">ACHES-MC
- Resources: rvnvoice.htm">Recording Psychotronic Voices by victm-hm.htm#Raven1">Eleanor White
- Victims: Psychotronics and harassment -victm-hm.htm#Carroll">Lee and Farren Carroll
- E-mail for victm-hm.htm#Heveab">Heveab: Send c/o Ed Light mcf@mk.net">mcf@mk.net
- Victims: New psychotronics victim -victm-hm.htm#Heveab">Heveab, disabled nurse
- MCF Victims: I now can scan your photo for your page - mcf@mk.net">email me
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 12-24-97 -MCF on your hard disk
- Editor's message: Sometimes I can't manage to work on the site. If your article doesn't appear please contact me.
- resrc-hm.htm#MoreThanConq">More Than Conquerors (help for victims) has new emailand web addresses
- radio/ckln-hm.htm">CKLN-FM Mind Control Series: Mason radio/ckln14.htm">Peter Tooey and reporter radio/ckln15.htm">Judy Steede
- Victim victm-hm.htm#MacIntosh">William MacIntosh reports that his email is jammed 12-18-97
- 12-19-97 victm-hm.htm#Smith">Steve Smith on CBCafter 10:00 pm news
- Victims: victm-hm.htm#Rob">Rob seeks people with knowledge of mind control in Michigan, USA
- CKLN-FM Series: Interview with radio/ckln13.htm">Dr. Stephen Kent on cults and ritual abuse
- Activist pricemsg.htm">Carole Price is still offline while moving to a new home
- Archives: US President Bill Clinton: archv-hm.htm#Clinton">Human Subjects Protection
- archv-hm.htm">Achives: KUBARK - kubark.htm">CIA Torture Manual
- Victims: Found - the late victm-hm.htm#Sterling">Carole Sterling's own ster-ltr.htm">personal story
- Resources: World's biggest mind control resrc-hm.htm#FTF">bibliography?
- Resources: The resrc-hm.htm#ParaScope">ParaScope web site - MKULTRA and CIA torture proof
- Dec. 19, 1997 - victm-hm.htm#Smith">Steve Smith story on CBC (Canada) - CIA exposed !!!
- Thurs., Dec. 4, 1997 - Kathy Kasten kast1297.htm">radio and internet interview
- New in archv-hm.htm#Letters">LettersArchive: berc-gln.htm">Roy Bercaw to US Sen. John Glenn re S.193
- New in Resources: resrc-hm.htm#ICCRT">ICCRT The International Council on Cultism and Ritual Trauma April 16 - 19, 1998 conference in Dallas, Texas,USA: Hidden Holocaust: Theoretical and Practical Responses to Ritual Trauma
- Activist pricemsg.htm">CarolePrice is offline and moving to a new home
- Archives: Harlan Girard's girard2.htm">Human Subjects Testimony in Washington DC
- Archives a-readme.htm">MCFWEB.EXE & ZIP updated 11-29-97 -MCF on your hard disk
- CKLN-FM Series: radio/ckln12.htm">Jeanette Westbrook, MSW on prosecuting ritual abusers
- stats.htm">MCF Statistics updated
- Resources: What You Should Know about resrc-hm.htm#Psychiatry">Psychiatry and Psychiatric Drugs
- Psychotronics victim victm-hm.htm#Brian">Brian is back (by 12-97) with his resrc-hm.htm#Brian">web site and MRI scans
- archv-hm.htm#NUFIND">NUFIND bug fixed 11-21-97 -file content searcher
- Resources: resrc-hm.htm#BBC">BBC News web site
- From now on communicate with victm-hm.htm#Babacek">Mojmir Babacek through the mail
- Replaced a pc sound card or video accelerator? mcf@mk.net">MCF can use the old one
- Progressive activist Pacifica Foundation's world and US resrc-hm.htm#Pacifica">news in Real Audio
- wilson1.htm">New additions to abductee Katarina Wilson's resrc-hm.htm#OpenMind">web site
- archv-hm.htm#Letters">Letter Archive: US Sen. glen-rsp.htm">John Glenn's letter to victm-hm.htm#Mougey">Pat Mougey, with contact info.
- archv-hm.htm#HTML-TXT">HTML to text converter now handles tables too
- archv-hm.htm#HTML-TXT">HTML to text converter now handles lists
- New inArchives: archv-hm.htm#HTML-TXT">MCF utility to convert HTML to text
- New in Victims: Psychotronics victimvictm-hm.htm#Tueting">Steve Tueting's main story
- New in Victims: Psychotronics victimvictm-hm.htm#Sterling">Carol Sterling's apparent suicide
- victm-hm.htm#Raven1">Eleanor White has a new resrc-hm.htm#Ravweb">MKULTA web site. She gave up her shield.htm">shielding quest.
- New in Resources: Victim victm-hm.htm#Mougey">Pat's Mougey's new resrc-hm.htm#Mougey">mind control web site
- MCFnow has a http://www.cyberramp.net/~fulton/scans.html" add_date="878352266" last_visit="879036579" last_modified="878352262">scanner! You cansend in picture prints for stories.
- New in Victims: Sonic Non-Lethal Weapons - the victm-hm.htm#MacIntosh">William MacIntosh Story
- CKLN-FM Series: Therapist Valerie Wolf radio/ckln11.htm">Interview
- pricecnf.htm">Report on October pricemsg.htm">1977 Atlanta Conference and Victims' Group by index.htm#Help">Carole Price
- S.M.A.R.T. Ritual Abuse, Secretive Organizations and Mind Control smrt-cnf.htm">Conference - July 18 and 19, 1998
- http://homepages.force9.net/louise/">Louise Woodward Site -current event - email campaign
- E-mail allegation: aol-scrt.htm">AOL secuity menace?
- New in Resources: resrc-hm.htm#HealingWoman">Healing Woman - Childhood Sexual Abuse Survivors
- New stats.htm">MCF Statistics
- New radio/ckln-hm.htm">CKLN-FM Mind Control Series episode:radio/ckln10.htm">Talk by John Rappoport The CIA, Mind Control, and Children
- Resources: Free mind control resrc-hm.htm#Stickers">bumper stickers fom victm-hm.htm#Heckman">Kathy Heckman
- Three psychotronics victims experience high rad readings on a dosimeter - stay tuned
- Archives and Resources: New chapter added to archv-hm.htm#Clark">Remedies for Radiation
- archv-hm.htm#Clark">Remedies for Radiation link corrected
- Super-activist Raven1 is-- victm-hm.htm#Raven1">Eleanor White !!!
- Achives a-readme.htm">MCFWEB.EXE & .ZIP updated 10-28-97 -MCF on your hard disk
- New in Resources: victm-hm.htm#Welsh">Cheryl Welsh compilation published:
- resrc-hm.htm#MCFiction">Mind Control Is No Longer Science Fiction
- victm-hm.htm#Tueting">Steve Tueting requests input on atuet-gln.htm">letter to US senators re s193.htm">S.193 (Human Subjects Bill) Also see the archv-hm.htm#Letters">ArchivesLetters Section
- New in Victims: American psychotronics victim victm-hm.htm#Tueting">Steve Tueting
- Now Complete: radio/ckln-hm.htm">CKLN-FM series radio/ckln09.htm">Lecture by Therapist Valerie Wolf, M.S.W.: Assessment and Treatment of Survivors of Sadistic Abuse
- CKLN-FM Series -- radio/ckln-cst.htm">Cassettes and transcripts now available to buy
- New in Resources: Leading Edge -resrc-hm.htm#LeadingEdge">Biomanipulation Patents
- New in Resources: Beat the blues with resrc-hm.htm#Folkbeep">Folkbeep
- New in Victims: American psychotronics victim victm-hm.htm#Cab">Mike Cab
- MCF now has 43 Victims' Stories
- Victim victm-hm.htm#Cousins">Gregory Cousins' new E-address is gcousins2@aol.com">GCousins2@aol.com
- New in Victims: American psychotronics implant victim victm-hm.htm#Pollack">Robert Pollack
- New in Victims: American electronic abuse victim victm-hm.htm#Terry">Miki Terry
- Achives a-readme.htm">MCFWEB.EXE & .ZIP updated 9-29-97 -MCF on your hard disk
- New in Victims: American psychotronics victim victm-hm.htm#Vicki">Vicki from Michigan
- McKinney classic on mck-clsc.htm">Microwave Mind Control restored! It was overwritten.
- New email for resrc-hm.htm#MoreThanConq">More Than Conquerors SRA help site:mtconquerors@nidlink.com">mtconquerors@nidlink.com
- radio/ckln-hm.htm">CKLN-FM series #7, radio/ckln07.htm">Claudia Mullen, is now actually complete [9-23-97] [Continuing from "he's still alive"]
- The new stats.htm">MCF statistics are in
- Archives: From victim victm-hm.htm#Born">Robert Born: bornunog.htm">UNO Rights Claim in German
- Oct. 1-3 Mind Control pricemsg.htm#Updates">Conference Updates
- aches-mc.htm">ACHES-MC is clntape.htm#Note">offering copies of the clntape.htm">Victims' Videotape for a$15 donation
- 9-12-97 Wired News -http://www.wired.com/news/politics/story/6824.html">Police access to medical records (temporary link)
- New in Victims: American victm-hm.htm#Peck">William Peck -B-52 veteran, military implant victim
- Victim victm-hm.htm#Born">Robert Born has the dagobert_duck@hotmail.com">new email address of dagobert_duck@hotmail.com
- Resources: Bob King's new web site - resrc-hm.htm#ABUSE">ABUSE- survivor &supporter resources
- 9-11-97 http://cnn.com/WORLD/9709/11/bosnia.jammers/">CNN on electronic warfare airplanes (see links at bottom) (temporary)
- Bug fixed in archv-hm.htm#NUFIND">NUFIND.EXE (it reported extra files)
- Your editor is nursing himself through shock, so if you sent something to be posted or aquery and don't get an answer, please mcf@mk.net">remind me once a week! Thanks for the help.
- MCF joins the http://www.anybrowser.org/campaign">campaign (click the button to go there)
- New in Victims: The victm-hm.htm#Bain">story of Elizabeth Bain, American psychotronics victim
- Achives a-readme.htm">MCFWEB.EXE & .ZIP updated 9-1-97 -the MCF on your hard disk
- radio/ckln-hm.htm">CKLN-FM Series update: radio/ckln07.htm">Claudia Mullen interviewis now complete
- Update from Carole Price on pricemsg.htm">Atlanta Conference: Delta and American Airlines are now running specials - there are very low cost flights to Atlanta.
- Activist pricemsg.htm">Carole Price on price897.htm">following up on the film "Conspiracy Theory."
- Tonight 8-27-97 at 8 PM: "The Manchurian Candidate" classic on TNT Cable
- radio/ckln-hm.htm">CKLN-FM -- radio/ckln08.htm">Lecture by Authors Walter Bowart, Alan Scheflin, and Randy Noblitt
- Activist pricemsg.htm">CarolePrice has anew email address: carole.price@usa.net">carole.price@usa.net
- victm-hm.htm#Smith">Steve Smith's story will air on CBC Journal (Canada) in September
- welsh997.htm">National Bioethics Advisory Commission -web site and contact information
- pricemsg.htm">Message from activist Carole Price re victims, Atlanta Conference Oct. 1-3
- New radio/ckln-hm.htm">CKLN-FM transcript: radio/ckln07.htm">Cludia Mullen - Presentation and Interview
- resrc-hm.htm#LeeBooks">Lee Books web site has lots of interesting new information
- 8-97 Victim victm-hm.htm#Cousins">Gregory Cousins sends acousin01.htm">message for other victims
- archv-hm.htm#Lammer">Dr. Helmut Lammer - Military Involvement in UFO Abductions - lammer2.htm">Major Update
- freund.htm">Information sought on Design for Living Inc. and aDr. Freund
- I'm working on back email from 4-9-97 to 8-7-97 -index.htm#Introduction"> ejl
- hendrix.htm">Information sought re Canadian torturer-experimenter "Dr. Hendricks."
- New radio/ckln-hm.htm">CKLN-FM transcription: radio/ckln06.htm">Dr. Alan Scheflin - History of Mind Control
- I'm behind so if you sent something to publish mcf@mk.net">please remind me - index.htm#Introduction">ejl
- resrc-hm.htm#MINDCONTROL-L">MINDCONTROL-L Archive is now at http://www.sonic.net/~west/mindcont.htm">http://www.sonic.net/~west/mindcont.htm
- resrc-hm.htm#MINDCONTROL-L">MINDCONTROL-L is a new mailing list and archive from Wes Thomas
- 10-97 Virginia brat-cnf.htm">Mind Control Panel at Surveillance Expo- participants sought
- victm-hm.htm#Cousins">Gregory Cousins' new e-address is: greginsca@aol.com">GregInSCa@aol.com
- Archive of MCF updated 7-28-97 - index.htm#Download">run MCF on your hard disk!
- New superdetailed stats.htm">statistics for the MCF
- york.htm">Victim inYorkshire would like to meet others: Jurgen Volske jv@dataman.co.uk">jv@dataman.co.uk
- If I missed posting something for you while I was away please mcf@mk.net">let me know
- victm-hm.htm#Welsh">Cheryl Welsh will appear on TBS at 10pm est 8-10-97 Harassment technologies show -- http://www.charleyjones.com">Charley Jones Overnight -- CBS/Texas State Networks. victm-hm.htm#Welsh">Cheryl Welsh is a confirmed guest 7-28-97 at 12 mid CT (till 1am).
- nexusinf.htm">Help NEXUS Magazine cover elecromagnetic weapons!
- resrc-hm.htm#People">The People has a new web site
- Psychotronics victim Martin Mack has updated victm-hm.htm#Mack">his story with technical information
- clntape.htm">ACHES-MC Video to Clinton &Chretien -Survivors & Supporting Professionals
- New inResources: US http://www.usnews.com/usnews/issue/970707/7weir.htm"> Wonder Weapons - 7-7-97 US News and World Report
- New radio/ckln-hm.htm">CKLN Series Interview: radio/ckln05.htm">Valerie Wolf, Claudia Mullen, and Chris deNicola Ebner
- The radio/ckln-hm.htm">CKLN Series'radio/ckln04.htm">Ronald Cohen Interview is now complete
- 7-15-97 - Your editor is back after a month with no phone!!!
- The original 2025 report (item below) is at the http://www.au.af.mil">USAF Air University web site
- Resources: resrc-hm.htm#2025">2025 -USAF Information Operations - microchip implants
- Resources: resrc-hm.htm#DisInformation">Disinformation web site awards Four Grenade Award to MCF
- Victims: New web site and E-mail addresses for victm-hm.htm#Fernandez">Maurice Fernandez
- Archives: archv-hm.htm#Lammer">Dr. Helmut Lammer Ph.D announces lammerbk.htm">his new book on mind control and the military (cover shown) and seeks a US publisher
- New in Resources: resrc-hm.htm#CAHRA">Citizens Against Human Rights Abuseorganization and web site
- Tom Porter now has a http://ourworld.compuserve.com/homepages/T_Porter/legis.htm">legislation update page at his resrc-hm.htm#Porter">web site -important
- The aches-mc.htm">ACHES-MC http://www.aches-mc.org">web site has been greatly enlarged and updated
- New in Victims: Psychotronics victim victm-hm.htm#Heckman">Kathy Heckman's story, The Echoes of Idiots
- The CNN Mind Control segment will be wed. June 18, 10 est, 7 pst - "American Edge"
- victm-hm.htm#Angel">Angel, editorvictm-hm.htm#Light">Ed Light's dog, died June 17, 1997 of paralyzing beams that made her unable to get up most of the day, creased her face, and made her fall in her own feces.
- MCF editor is still mostly offline until late June
- CKLN-FM Series #4, Ronald Cohen's abduction and drugging by the military, Part 1
- victm-hm.htm#Cousins">Gregory Cousins- Victim's story and court case revised and updated
- New email for victm-hm.htm#Cousins">Gregory Cousins: gregcousin@aol.com">GregCousin@aol.com
- archv-hm.htm#Quinn">John Quinn on the USAF Montauk Project - Extensively updated and expanded
- New stats.htm">MCF Statistics -see how many people read your article
- New in Archives: archv-hm.htm#Quinn">John Quinn on the USAF Montauk Project - electronics & mind control
- skbi-lab.htm">SKBI Lab moved to Archives - victm-hm.htm#Bratcher">Steve Bratcher got cancer and the lab's fate is unknown
- MCF will be mostly without me for 3 weeks - email will be delayed - Ed Light
- Achive files a-readme.htm">MCFWEB.EXE, MCFWEB.ZIP, resrc-hm.htm#Vericomm">MINDNET.EXE, and MINDNET.ZIP moved to temporary site (else we crack 10 Megs).
- radio/ckln03.htm">New CKLN-FM episode: Mind Control Survivors' Testimony at the Human Radiation Experiments Hearings
- Wayne Morris scw@web.net">scw@web.net offers the CKLN-FM Series to your local station
- The CNN TV appearance (4 items down) is on "The American Edge" show
- victm-hm.htm#Mougey">Pat Mougey's story is now complete
- radio/ckln-hm.htm#Transcripts">CKLN-FM series transcripts and tapes are available
- New in Resources: resrc-hm.htm#Kats">Welcome to the World of Human Guinea Pigs - victm-hm.htm#Kats">Kats Family web site
- New dates forTV appearance by Cheryl Welsh, Carol Price, and Ed Light: CNN June 11 10 pm est on CNN cable and July 20th 10pm est TBS
- MindNet now available in a zip file
- Psychotronics victim victm-hm.htm#Rosser">Bill Rosser has redone his story
- MCFWEB.EXE index.htm#Download">archive of the whole MCF updated 5-12-97; MCFWEB.ZIP now available
- New in Resources: victm-hm.htm#Zielinski">Aleksander Zielinski's Polish and English
- resrc-hm.htm#Zielinski">Kontroli Umyslu mind control web site
- victm-hm.htm#Cousins">Gregory Cousins'story and court case revised and updated
- CKLN-FM Series #2, Dr. Colin Ross' interview, is complete
- resrc-hm.htm#MoreThanConq">More Than Conquerors - Safe Haven for Ritual Abuse and Mind Control Victims
- victm-hm.htm#Mougey">Pat Mougey's email is working: 1927@glasscity.net">1927@glasscity.net
- Wayne Morris scw@web.net">scw@web.net offers the CKLN-FM Series to your local station
- resrc-hm.htm#Survivors">Survivors on the Net - Web site, newsletter, activism,self-help for childhood sexualabuse victims - September 6 1997 March in England
- ach-clnt.htm">Be in Victims' Video for President Clinton - May 15 deadline
- radio/ckln-hm.htm">CKLN Series moved to MCF main directory
- New networking contact: Carole Price onecamp@hotmail.com">onecamp@hotmail.com 512-346-0205
- lammer1.htm">Dr. Lammer's paper, lamme1_f.htm">frames version now shows the end notes in a bottom frame
- The first part of Part 2 of the CKLN-FM Series, Dr. Colin Ross' interview, is here
- CKLN series producer Wayne Morris' emailaddressis: scw@web.net">scw@web.net
- New in Victims: victm-hm.htm#Cousins">Gregory Cousins- Psychotronics victim's court case
- New in Archives: Abductee & Webmaster archv-hm.htm#Wilson">Katharina Wilson on cloning
- New in Victims: victm-hm.htm#Mougey">Pat Mougey - American Psychotronics Victim
- MCF CNN appearance changed to May 28, 10 pm eastern, "The American Edge"
- Errors 9/10 of the way through Dr. Ross' lecture corrected (see below).
- New in Archives & Resources: radio/ckln-hm.htm">CKLN-FM Mind Control Seriestranscripts Part 1: Dr. Colin Ross on the radio/ckln01.htm">CIA and Military Mind Control Research
- MindNet archive improved - it's now all web pages
- New in Archives & Resources: Extensive resrc-hm.htm#Vericomm">MindNet archive browsable online!
- New in Archives: Micro Vision archv-hm.htm#MicroVis">Virtual Retinal Display -computer images in the eye
- New in Archives: huang.htm">Hong Kong Professor Sues US for Mind Control
New in Archives: Chicago Child Abuse & Victim Advocacy mulnscnf.htm">Conference 4/11-13/97
- resrc-hm.htm#Vericomm">Vericomm/Mind Net retires - document file archive available
- victm-hm.htm#Snitker">Jason Snitker section completely revised New in Victims: victm-hm.htm#Snitker">Jason Snitker - American psychotronics victim
- archv-hm.htm#TextHTML">TXT-HTML.EXE angle bracket bug fixed 3-28-97
- "Clifford" is victm-hm.htm#Fernandez">Maurice Fernandez; he has a new web site and email address
- New in Resources: foil.htm">Detecting Psychotronics With Tin Foil
- DENDRITE dendrite.htm">Psychiatric Rights Protest Action --May 1997, San Diego, CA, USA
- Yours truly, victm-hm.htm#Light">Ed Light, will appear with victm-hm.htm#Welsh">Cheryl Welsh and Carol Price on CNN's The American Edge, 10 pm eastern, May 28, 1997 thanks to victm-hm.htm#Raven1">Raven1's Media Awareness Campaign
- New in Victims: victm-hm.htm#Siegemund">Joan Siegemund, psychotronics and Mafia victim
- New in Archives: archv-hm.htm#Alex">Alex Constantine files cnst0397.htm">this report: Acclaimed 1991-92 San Diego Grand Jury Child Abuse Report - Demonstrated to be Fraudulent by Subsequent Grand Jury
- New email address for Alan Yu: alanyu@prodigy.net">alanyu@prodigy.net
- New in Archives & Resources: yu-3-97.htm">Millimeter Waves & Mind Control by archv-hm.htm#Alan">Alan Yu
- archv-hm.htm#NUFIND">NUFIND improved to catch phrases spanning two lines
- New in Archives: NUFIND.EXE archv-hm.htm#NUFIND">text and web file searcher
- Martin Cannon's classic,The Controllers, removed at his request - acoup for some harassers he had to deal with.
- MCFWEB.EXE index.htm#Download">archive of the whole MCF updated 3-20-97
- Starting a News subsection: current.htm">Current Activism and Conferences
- Update to April 1997 slvn-cnf.htm">Believe the Children Conference: Claudia Mullens will speak Saturday morning instead of Sunday
- Got some old and new posts out, still catching up! Let me know if I forgot you.
- New in Victims: victm-hm.htm#Zielinski">Aleksander Zielinski, Polish mind control victim
- New in Archives: girard1.htm">Harlan Girard: Letters needed for human subjects bill
- New inArchives: s193.htm">Human Research Subjects Protection Act of 1997
- The resrc-hm.htm#LeeBooks">Lee Books web site has expanded
- can-prog.htm">Canadian Mind Control Radio Serieson CKLN-FM, Toronto, Sundays
- rad_8.htm">Don't use bone meal - update to archv-hm.htm#Clark">Remedies for Radiation
- Now in Resources: (located in Archives) archv-hm.htm#Clark">Remedies for Radiation
- http://www.mk.net/~stats/mcf">MCF Reader Statisticsavailable - updated daily, approximately
- New in Victims: victm-hm.htm#Ginter">John Ginter, Psychotronics Victim
- MCFvisited from readers.htm">55 countries in 14 days! And by the goverment and military.
- New in Resources: resrc-hm.htm#Neurophone">The Neurophone - "an electronic telepathy machine"
- EM victims - don't miss it !!!
- New in Archives: welshsv2.htm">Another Arms Race With The Former Soviet Union?
- New in Victims: victm-hm.htm#Braziel">Tannie Braziel, Paralegal, Psychotronics Victim
- New in Archives: Tannie Braziel's tbraziel.htm#FCCLtr">letter to the American FCC
- index.htm#Fonts">Free fonts for easier web reading (as used by MCF)
- New in Resources: resrc-hm.htm#Braziel">Victim Tannie Braziel's Web Site
- welsh397.htm">Human Rights Watch Letter Writing Campaign 3-97 Update
- New in Resources: childrit.htm">Ritualistic Child Abuse
- New in Victims: victm-hm.htm#Rosser">Bill Rosser - Psychotronics Victim
- New in Resources: resrc-hm.htm#Freedom">Freedom WebSite
- See important note to mcpress.htm">MC Press Release (at top)
- New in Victims: victm-hm.htm#Schrier">Lloyd Schrier -CIA Foetal Victim
- I'm doing back requests now, not in order
- index.htm#Frames">Frames versions of Key Pages improved
- New in Archives: Harry Sweeney's mcpress.htm">Mind Control Press Release (you submit it)
- victm-hm.htm#Raven1">Raven1's shield.htm">shielding project updated,with rvnushl3.htm">important caveat
- New in Resources: resrc-hm.htm#AmLine">America's Line - victim's web site
- New in Archives: Alan Frey's frey.htm">Microwave Hearing Experiment
- baderpix.htm">Two pictures of victm-hm.htm#Bader">Dave Bader's implant removal operation
- rvnushl2.htm">February 1997 Update tovictm-hm.htm#Raven1">Raven1's electromagnetic shield.htm">shielding project
- New in Archives: victm-hm.htm#Raven1">Raven1's rav-csis.htm">letter to the Canadian CSIS (CIA equivalent)
- New in Archives: victm-hm.htm#Raven1">Raven1 addsmdspeech.htm">speech for educating local doctors to her resrc-hm.htm#Ravweb">web site
- victm-hm.htm#Raven1">Raven1's monument.htm">Monument to Mind Control Victims
- Thanks to victm-hm.htm#Raven1">Raven1 for the donation of modem, mouse, and shielding cap
- Patient ones: I'm starting in on my backlog of email and web posting requests
- New version of mcfweb.exe - a-readme.htm">the entire web zipped - 2/22/97
- MindNet news:mnindex2.htm">Vol. 2is under way
- New resrc-hm.htm">Resource: resrc-hm.htm#HAARPGame">The HAARP Game web site - elecromagnetic warfare goldmine
- The author, Jann, requests info. on the January 10, 1997 geomagnetic storm
- New version of mcfweb.exe - a-readme.htm">the entire web zipped - 2/12/97
- index.htm#Frames">Pages with a frames option improved - contents stay at top more often
- victm-hm.htm#Kats">Ed Kats edwardj@jps.net">edwardj@jps.netneeds to contact Gordon Thomas, author of Journey Into Madness, CIA mind control.
- nuremb2.htm">Kathy Kasten's comments on the nuremb1.htm">Nuremberg Human Experimentation Directives
- Victim victm-hm.htm#Sherman">William Sherman has opened his http://members.aol.com/GunJones1/index1.html">Gun Jones Commentary Page
- New in Archives: nuremb1.htm">Nuremberg Human Experimentation Directives
- New inArchives:cnn-mc.htm">CNN on Electromagnetic Mind Control Weapons
- archv-hm.htm#TextHTML">TXT-HTML.EXE Bug fixed 1-26-97
- April 1997 slvn-cnf.htm">Believe the Children Conference -- Child Abuse and Victim Adocacy
- victm-hm.htm#Babacek">Mojmir Babacek writes of continuing phsychotronic assaults in Czechoslovakiaresrc-hm.htm#Vericomm">
- MindNet Vol. 1 is complete - download a browser friendly archive
- Taking a break for a few weeks - 1-18-97 - Ed Light, web site editor. Please mcf@mk.net">remind me if I didn't post your article - having a hard time!
- resrc-hm.htm#Vericomm">MindNet ftp list renamed to MNINDEX1 & 2.
- Correction: New email address for victm-hm.htm#Kats">Ed Kats and family: edwardj@jps.net">edwardj@jps.net
- New in Archives: archv-hm.htm#Clark">Foods That Protect Against Radiation - by Linda Clark
- New resrc-hm.htm">Resource: resrc-hm.htm#SurvIntl">Survivors International - treatment and services for victims
- index.htm#Download">mcfweb.exe - the whole web site - updated 1-7-97. It now downloads ok.
- 1-1-97. The EXE file download problem (where it goes to the screen instead of a file) is fixed but you may have to flush your browser's disk cache to receive one that failed previously -- sorry about that!
- New in Archives: Text to HTML archv-hm.htm#TextHTML">converter
- New in Archives: Kathy Kasten Covert Testing Alert - kast1296.htm">letter to OPRR at NIH
- Victim victm-hm.htm#Born">Robert Born is putting together his own http://www.th-darmstadt.de/~st001500">web site.
- New Psychotronics victim: victm-hm.htm#Mack">Martin C. Mack
- David Lee has updated the record of lee.htm#Planes">airplane overflights in victm-hm.htm#Lee">his story
- New in Resources: victm-hm.htm#Lee">David Lee's new mail orderresrc-hm.htm#LeeBooks">Mind Control Bookshop
- resrc-hm.htm#NLPA">NLPA - National Legal Professional Associates prepare victims' court cases
- MCF modem frozen most of the time - email delayed - 12-10-96mckinney.htm">
- McKinney Microwave Mind Control Classic reformatted, footnote references added
- Free web page editor: http://www.aolpress.com/press">AOL Press (bugs included) -- publish your own stuff.
- resrc-hm.htm#DisInformation">DisInformation web site andsearch engine that's hip to mind control !!!
- victm-hm.htm#Raven1">Raven has a new http://www.netaccess.on.ca/~raven1/handbill.htm">handout promoting the MCF and http://www.netaccess.on.ca/~raven1">her site.
- victm-hm.htm#Lee">David Lee's new E-address is: xba18@dial.pipex.com">xba18@dial.pipex.com
- Welcome to the Mind Control Forum's new address: http://www.mk.net/~mcf">http://www.mk.net/~mcf
- Ed Light's email is now: mcf@mk.net">mcf@mk.net
- New Czechoslovakian Victim: victm-hm.htm#Babacek">Mojmir Babacek activist calls for letters
- rvnushld.htm">Raven's shielding experiments meet success!
- Nuremberg ban on non-consensual medical experiments relaxedwels1196.htm">
- Human Rights Watch campaign update - success! - more letters neededmodemblk.htm">
- MCF modem is being blocked by beams - expect email and article delays
- MCF address will change - check back (AOL absorbed GNN)
- http://www.sjmercury.com/drugs/start.htm">San Jose Mercury CIA Drugs/Contra scandal site
- Raven invites victims (and supporters) to join ravmedia.htm">email Media Awareness Campaign
- New in Archives archv-hm.htm#Letters">letters collection: priceltr.htm"> Lawyer's letter to Carol Price
- a-readme.htm">MCFWEB.EXE -the entire MCF archived for DOS - updated 10-28-96
- Frames bug fixed - Contents on top -Archives, Resources, Victims converted.
- Victims Page redecorated
- New in Archives: archv-hm.htm#Lammer">Military Involvement in UFO Abductions byDr. Helmut Lammer Ph.D
- New in Archives: archv-hm.htm#Royte">The Altered States by Elizabeth Royte, in the NY Times
- New Resource: Napa Valley Sentinel Web Site -resrc-hm.htm#FreeAmerica">Free America
- aches-mc.htm">ACHES-MC has their aches-mc.htm#Site">Web Site up calling for victims and supporters to contact them.
- victm-hm.htm#Kats">Ed Kats has sent an katsxray.htm">xray of his son Jay's brain implant:
- New Home Page Graphic for the bottom of documents.
- Warning: MS Internet Explorer 3.0 for Win 95 trashes email and other programs
- Resource: slvn-rab.htm">Ritual Abuse and Mind Control report is now complete
- New American Victim: Psychotronic Implant Victim victm-hm.htm#Bader">Dave Bader
- New Resource: Victim Doug Bader's web site, resrc-hm.htm#Bader">The Think Tank
- smith-6.gif">Additional supporting document added to victm-hm.htm#Smith">Steve Smith's story.
- New book Resource: resrc-hm.htm#HAARP">Angels Don't Play This HAARP - with excerpt on military plans to give local authorities electronic weapons
- Sharon Shea calls for letters to Boutros Ghali - see the new Archive document: shea-ltr.htm">Sharon Shea to Boutros Ghali at the resrc-hm.htm#UN">U.N.
- New Victim with Resource: resrc-hm.htm#Lambros">Boycott Brazil web site by victm-hm.htm#Lambros">John Lambros
- The MCF is receiving 100 visits a a day!
- New Resource: aches-mc.htm">Advocacy Committee for Human Experimentation
- Survivors - Mind Control
- Steve Smith's victm-hm.htm#Smith">story now has Access to Information Actsmithdoc.htm">supporting documents
- New Resource: slvn-rab.htm">Ritual Abuse and Mind Control report
- Lexis P-trax database threat: priv-lex.htm">Remove your name!
- New German Victim: victm-hm.htm#Born">Robert Born - Needs atty. for disabling drugging and coverup
- cruel.htm">Dubious honor: MCF is the Cruel Site of the Day
- New site index.htm#Navigating">navigation bar and information.
- New major Resource: resrc-hm.htm#OpenMind">Project Open Mind - UFO abductions are military?
- MCFWEB.EXE updated 10-1-96. index.htm#Download">Download the whole web site!
- victm-hm.htm#Raven1">Raven1 requests needpcs.htm">help for victims lacking Internet access
- New formats.htm">guidelines for submitting material (optional but helpful)
- New archv-hm.htm#TXT-PGPH">TXT-PGPH.EXE - preserving lists is easier when reconstructing paragraphs
- New Victim: Canadian victm-hm.htm#Smith">Steve Smith, victim of extreme experimental psychiatry
- Archives: Reformatted - alexfmsf.htm">False Memory Hoax by archv-hm.htm">Alex Constantine Temporarily down: MindNet and MCF archive files
- Archives/Resources: Implant archv-hm.htm">Project NosMan translated to nosman2.htm">English
- CKLN-FM Series: radio/ckln23.htm">Interview with Brice Taylor is complete (radio/ckln23.htm">Part II added)
- Resources: Michael Donovan's http://www.ddaccess.com/michaeldonovan">web site on psychotronics science
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 9-26-98 -MCF on your hard disk
- Resources: JH Graf's resrc-hm.htm">Human Rights Forum - discussion group site
- Victims: Janine Jones - support jones.htm">letter added
- Archives/Resources: archv-hm.htm">Harold Funk's PEACE web site and CIA torture facilities report
- Victims: Janine Jones - the jones.htm">Petition is now complete
- Victims: UK - the Mitchells appeal for unds.htm">funds to help their case
- Resources: New resrc-hm.htm">Visitations web location
- Victims: Michael Donovan's court case -RICO, drugging, psychotronics
- Editor's note: I'm now ok but can't cover my back E-mail - too much of it. If I missed your contribution and you'd like to see it published, please run it by me again !!!
- Victims: Janine Jones - more jones.htm">implant confirmation
- Archives/Resources: archv-hm.htm">Psychoelectronic Threat to Democracy - reference work by Czechoslovakian victim Mojmir Babacek
- If a link didn't work in the last few days, try it again -- had some troubles.
- Resources: resrc-hm.htm">EEG Spectrum biofeedback - recommended by radio/ckln23.htm"> Brice Taylorresrc-hm.htm">
- Resources: resrc-hm.htm">Books by programming victim radio/ckln23.htm">Brice Taylor
- CKLN-FM Series: Programming victim radio/ckln23.htm">Brice Taylor interview
- The frames pages for Archives, Resources, and Victims are being discontinued because of the extra work, and lack of use by visitors. Sorry, frame fans!
- Resources: New features at the resrc-hm.htm">Alpha Team web siteresrc-hm.htm">
- Resources: The resrc-hm.htm">MindNet Archive has a new web address
- Victims: New Zealander Janine Jones, psychotronics victim
- Victims: Lila Wellings seeks other victims of psychotronic car accidents
- Victims: Letters uk/doc.htm">to and uk/doc2.htm">from the Mitchells' physician
- Victims/Archives: rabincrt.htm">Norman Rabin's Court Case
- Resources - resrc-hm.htm">Radiation Rape is Real - web site by victim Jim Whittle
- Victims: Psychotronics victim Don Phillips
- Computer upgade is complete. If I didn't post your story or announcement please let me know.
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 8-31-98 -MCF on your hard disk
- Victims: The story of drugging and harassment victim Sara Schaeffer
- Victims: Back online - Tannie Braziel and her resrc-hm.htm">web site
- Upgrading - Win 98 is "Hal" - Back on duty in 2 weeks ...
- Victims: Additional E-addressfor David Mitchell: dmitchell16@email.msn.com">dmitchell16@email.msn.com
- Victims: The Mitchells - cancel the appeal for funds
- MCF is running Win 98 !!! E-mail is piling up ... please wait ...
- CKLN-FM Series: radio/ckln22.htm">Cisco Wheeler, mind control insider, victim , and author
- The MCF is on hold while I get Win 98 together on my machine -ejl
- Archives/Resources:man-mach.htm">Merging Man and Machine - British implants
- Victims: Caveat added at top of page, take care over the net.
- Victims: Michael Williams - American political torture victim - and resrc-hm.htm">web site
- CKLN-FM Series: Fritz radio/ckln21.htm">Springmeier on Illuminati, mind controlled slaves
- Victims: Update on The Mitchells' 6-98 funds.htm">appeal for emergency funds
- CKLN-FM Series: Transcript and tape radio/ckln-cst.htm">list updated
- Victims: American psychotronics victim David
- Resources - Web site by David:
- resrc-hm.htm">Postal Inspectors, Mind Control and Harassment
- 7-19-98 Taking a break from attending to the MCF
- Archives: Sam Moser's mos-drg.htm">reporton psychiatric drugs to be revised
- berc7-98.htm">1998 Human Experimentation Bill alert
- Victims: American psychotronics victim Jim Whittle
- Archives a-readme.htm">MCFWEB.EXE & .ZIP updated 7-11-98 -MCF on your hard disk
- Resources: resrc-hm.htm">Visitations mind control abductions web site and chat
- current.htm">Conferences: resrc-hm.htm">Mike Coyle will be on #Visitations Chat coyl-vis.htm">Sat. July 11
- Resources: "Unknown Heroes" site no longer active.
- Victims: At the Mitchells' "resrc-hm.htm">MCF UK" site:the uterine implant MRI scan
- CKLN-FM Series: Walter Bowart: radio/ckln20.htm">The Secret History of Mind Control
- Victims: The historic sieglapd.htm">visit to the LAPD by Joan Siegemund, with Kathy Kasten
- Victims: American psychotronics victim Sharon Lucas
- Victims: The Mitchells are funds.htm">appealing for emergency funds Victims: The Mitchells' new E-mail: dmitchell16@hotmail.com">dmitchell16@hotmail.com
- Victims: Judith ABR updates her comprehensive story (6-98)
- CKLN-FM Series: radio/ckln18.htm">#18 corrected by victim-activist Blanche Chavoustie
- Stillbehind on answering E-mail -about 70 messages -6/17/98
- Resources: S.O.S. -- resrc-hm.htm#SOS">Survivors of Stalking non-profit help
- The resrc-hm.htm#FedSci">Federation of American Scientists' new address is: http://www.fas.org">http://www.fas.org
- The resrc-hm.htm#MilSecret">Military Secrecy Page has a new address: http://www.frogi.org/secrecy.html">http://www.frogi.org/secrecy.html
- New victim: victm-hm.htm#Shannon">Rev. Bob Shannon, victim of 1960s military psychotronics test, seeks correspondents from related experiences.
- victm-hm.htm#Lee">David Lee is getting a new email address. His temporary one:
- 106345.507@compuserve.com">106345.507@compuserve.com
- Needed: transmitter, antenna, modulator circuit designer, donations for demo Frey voices tobrain transmitter -demoteam.htm">message from victm-hm.htm#Raven1">Raven1
- Tiny bug in TXT-PGPH fixed 9-24-96 - re-read archv-hm.htm#TXT-PGPH'">instructions
- New in Archives: unrights.htm">U.N. Universal Declaration of Human Rights
- New in Resources: resrc-hm.htm#UN">U.N. web site for human rights, with hotline.
- New in Archives: oakridge.txt">Oak Ridge National Lab Report
- usafbiol.htm">USAF forsees it: Biological Process Control (in Archives and Resources)
- New text file to word processor converter: archv-hm.htm#TXT-PGPH">TXT-PGPH.EXE
- Ed Light's light.htm#XRAYVerdict">skull xrays were analyzed by a bone specialist.
- You can now have your picture or other graphics with your story or article.
- New Victim: victm-hm.htm#Allison">Marla Allison needs support from other psychotronics victims
- victm-hm.htm#Raven1">Raven1 needs help building demo weapons; his story page is now complete.
- New in the Archives: Alan Yu news group posting 9-96 (really nice!)
- New brain implant victims: victm-hm.htm#Kats">Ed Kats and Family
- resrc-hm.htm#PSYOPS'">PSYOPS Mind Control and Conspiracy site opened by BBS sysop Walter Alter
- Anonymous is"victm-hm.htm#Raven1">Raven1"; shield.htm">Shielding Against Electromagnetic Harassment update
- Anonymous from Canada sends victm-hm.htm#Raven1">tests of electromagnetic shielding from beams; he would like to set up a shielding work group.
- index.htm#Download">MCFWEB.EXE (the whole web) updated 8-14-96
- Martin andCaul - archv-hm.htm#Napa">Napa Sentinel Mind Control Series now as web page
- akwei.htm">Court case (Archives): John St.Clair Akwei vs.NSA Ft George G. Meade, MD
- [Anti-] "Fascist New World Order" site offline? resrc-hm.htm#Fascist"> Available locally.
- kast8-96.htm">Update to the NIH appeal by Kathy Kasten
- New victim: victm-hm.htm#Clifford">Clifford, an East Indian Canadian Psychotronics victim
- New Resource: resrc-hm.htm#Ritual_Abuse_Home">Ritual Abuse and Healing Home Page
- New resource: resrc-hm.htm#Flatland">Flatland Books
- resrc-hm.htm">Resource page contents re-alphabetized by last name
- Tom Porter's email has changed: tporter@interramp.com">tporter@interramp.com
- New victim: victm-hm.htm#Vera">Vera's Story -unbelievable project in the San Fernando Valley
- Resource: Address for Robert Naeslund's victm-hm.htm#NaesLit">Mediaecco literature list
- Available book: jail.htm">Mind Control in the U.S. Prison System by Betsy Russell-Manning
- Information Unlimited free resrc-hm.htm#Info_Unlim">Psychotronic & ray gun weapons catalog
- New web site: Walter Bowart's http://www.azstarnet.com/~freetht">Freedom of Thought Foundatien
- New anonymous http://www.netaccess.on.ca/~raven1">Canadian victim's home page
- New index.htm#Guide">guidelines for submitting articles
- NewArchives dept.: archv-hm.htm#Letters">Letters between victims, supporters, and authorities
- New Resource: McKinney classic on mckinney.htm">Microwave Mind Control
- New url for http://www.webcom.com/designr/MK-resistance">Bran's web: http://www.webcom.com/designr/MK-resistance
- New resource: resrc-hm.htm#Fascist">Fascist New World Order against authority extremism
- Ed Light's index.htm#From%20Ed">picture now on home page
- victm-hm.htm#Welsh">Cheryl Welsh changes e-address again: welsh@calweb.com">welsh@calweb.com
- New resource: resrc-hm.htm#THRONE">T.H.R.ONE website sells Neurophones! Inventor's story
- New email address for archv-hm.htm#Alan">Alan Yu: alanyu@droppings.cheap.net">alanyu@droppings.cheap.net
- New email address for victm-hm.htm#Koski">Martti Koski: makako@netti.fi">makako@netti.fi
- Breakthrough: welsh696.htm">Letters needed for Human Rights Watch Report
- resrc-hm.htm#Vericomm" update>Fix for extra blank lines in MindNet Files
- mnindex.htm">Clickable MindNet File Catalog - outstanding free archive
- New web: resrc-hm.htm#Hambone">Doc Hambone's Conspiracy , with good mind-control sections
- resrc-hm.htm#Vericomm">Vericomm FTP's new address: ftp://ftp.idiom.com/users/vericomm/mindnet
- kast-2.htm">National Institute of Health visits UCLA re human subjects - Kathy Kasten
- New http://members.gnn.com/fivestring">Home Page Layout with graphics
- resrc-hm.htm#Vericomm">Mike Coyle's new personal email is vericomm@idiom.com">vericomm@idiom.com
- New: index.htm#Download">Download the entire MCF web to run on your hard disk!
- New index.htm#Handout">handout that you can print and distribute!
- New Political-Economic Resource: resrc-hm.htm#People">The People
- Old victim's story: victm-hm.htm#Angel">Angel, Ed Light's dog (Old victim, new story)
- New victim's story: victm-hm.htm#Lee">David Lee, BSc, of Scotland, UK
- Brain's new email address is designr@netcom.com
- Ed Light adds light.htm#Hazel">1994 letter to Hazel O'Leary to his Victim's story
- New Internet search engine: resrc-hm.htm#Savvy">Savvy Search
- Ed Light offeres DOS utility to archv-hm.htm#TXT-WRAP">convert Text files to word processor format
- See the archv-hm.htm#Alex">Archives for Alex Constantine's alxmrtn2.htm">Mc Martin preschool story and the others
- Urgent: Call for letters and testimony (May 8, 1996) on cnstmasa.htm">Child Abuse Legislation
- Story updated: victm-hm.htm#Sherman">William Sherman - recommendations for other victims added
- New article: CIA and Stanford Research Institute - see archv-hm.htm#Alex">Alex Constantine (Archives)
- New resource: brussell.htm">Mae Brussell, Radio Journalist - Personal History & Newscast Tapes
- New resource: resrc-hm.htm#FedSci">Federation of American Scientists
- New, eleventh victim's story: victm-hm.htm#Bratcher">Steve Bratcher - agent/experimentee escapes!
- New victims's story: Norman Rabin's victm-hm.htm#Rabin">Press Release
- New victim's story: victm-hm.htm#Belgrave">Belgrave - Bad dream in Australia
- New resource: resrc-hm.htm#MilSecret">Military Secrecy web page
- Ed Light (me) has added more goodies to his light.htm">page in the Victims section
- New victim's story: victm-hm.htm#Shea">Sharon Shea - A life ruined in California
- Martti Koski has added more victims' stories to his victm-hm.htm#Koski">Web
- Kathy Kasten kast-nih.htm">calls for contributions to government investigation!
- MCF (then FTF) was reviewed in the Australian alternative magazine New Dawn!
- New Resource: bach.txt">Bach Flower Remedies for healing personal traumas
- New Resource: skbi-lab.htm">SKBI Lab for Mind Control Victims (in Resources)
- Mike Coyle's resrc-hm.htm#Vericomm">Vericomm/MindNet service now has an FTP archive
- Resource: foia.txt">Using the Freedom of Information Act
- welshsov.htm">Article and Appeal for Address: Soviets Organize against Psychotronics
- Brian masterfully authors resrc-hm.htm#Brian">his own graphical Web Site!
- archv-hm.htm#Alex">Alex Constantine's Mind-Control Book and Free Journal Preview
- Alex Constantine's alexfmsf.txt">False Memory Syndrome Foundation Expose (in Archives)
- whitaker.htm">Gail Whittaker's Ideas for EM Victims
- Great brianrsp.txt">responses on Usenet to Brian's brain implants (in Victims)
- Alan Yu's yu4.txt">analysis of the CIA "Remote Viewing."(in